Package com.io7m.jtensors.core.unparameterized.vectors

# Class Vector3L.Builder

java.lang.Object
com.io7m.jtensors.core.unparameterized.vectors.Vector3L.Builder

Enclosing class:
  `Vector3L`

public static final class Vector3L.Builder extends Object
Builds instances of type `Vector3L`. Initialize attributes and then invoke the `build()` method to create an immutable instance.

`Builder` is not thread-safe and generally should not be stored in a field or collection, but instead used immediately to create instances.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `Vector3L`
  `build()`
  Builds a new `Vector3L`.
  `final Vector3L.Builder`
  `from(Vector3LType instance)`
  Fill a builder with attribute values from the provided `com.io7m.jtensors.core.unparameterized.vectors.Vector3LType` instance.
  `final Vector3L.Builder`
  `from(VectorReadable2LType instance)`
  Fill a builder with attribute values from the provided `com.io7m.jtensors.core.unparameterized.vectors.VectorReadable2LType` instance.
  `final Vector3L.Builder`
  `from(VectorReadable3LType instance)`
  Fill a builder with attribute values from the provided `com.io7m.jtensors.core.unparameterized.vectors.VectorReadable3LType` instance.
  `final Vector3L.Builder`
  `setX(long x)`
  Initializes the value for the `x` attribute.
  `final Vector3L.Builder`
  `setY(long y)`
  Initializes the value for the `y` attribute.
  `final Vector3L.Builder`
  `setZ(long z)`
  Initializes the value for the `z` attribute.

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Method Details

  - ### from

    public final Vector3L.Builder from(Vector3LType instance)
    Fill a builder with attribute values from the provided `com.io7m.jtensors.core.unparameterized.vectors.Vector3LType` instance.
    Parameters:
      `instance` - The instance from which to copy values
    Returns:
      `this` builder for use in a chained invocation

  - ### from

    public final Vector3L.Builder from(VectorReadable2LType instance)
    Fill a builder with attribute values from the provided `com.io7m.jtensors.core.unparameterized.vectors.VectorReadable2LType` instance.
    Parameters:
      `instance` - The instance from which to copy values
    Returns:
      `this` builder for use in a chained invocation

  - ### from

    public final Vector3L.Builder from(VectorReadable3LType instance)
    Fill a builder with attribute values from the provided `com.io7m.jtensors.core.unparameterized.vectors.VectorReadable3LType` instance.
    Parameters:
      `instance` - The instance from which to copy values
    Returns:
      `this` builder for use in a chained invocation

  - ### setX

    public final Vector3L.Builder setX(long x)
    Initializes the value for the `x` attribute.
    Parameters:
      `x` - The value for x
    Returns:
      `this` builder for use in a chained invocation

  - ### setY

    public final Vector3L.Builder setY(long y)
    Initializes the value for the `y` attribute.
    Parameters:
      `y` - The value for y
    Returns:
      `this` builder for use in a chained invocation

  - ### setZ

    public final Vector3L.Builder setZ(long z)
    Initializes the value for the `z` attribute.
    Parameters:
      `z` - The value for z
    Returns:
      `this` builder for use in a chained invocation

  - ### build

    public Vector3L build()
    Builds a new `Vector3L`.
    Returns:
      An immutable instance of Vector3L
    Throws:
      `IllegalStateException` - if any required attributes are missing